Package org.wso2.carbon.task

## Class TaskManagementServiceHandler

- java.lang.Object
- - org.wso2.carbon.task.ServiceHanlder
  - - org.wso2.carbon.task.TaskManagementServiceHandler

-     public class TaskManagementServiceHandler
      extends ServiceHanlder

  ServiceHandler for the TaskManagement service

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskManagementServiceHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription, String className)` | Adding a TaskDescription Delegates adding responsibility to underlying each 'TaskManagementService' service
    `void` | `deleteTaskDescription​(String name, String className)` | Deleting a TaskDescription Delegates deleting responsibility to each 'TaskManagementService' service
    `void` | `editTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription, String className)` | Editing a TaskDescription Delegates Editing responsibility to each 'TaskManagementService' service
    `List<String>` | `getPropertyNames​(String taskClass, String className)` |
    `org.apache.synapse.task.TaskDescription` | `getTaskDescription​(String name, String className)` | Looking up a TaskDescription Delegates Looking up responsibility to each 'TaskManagementService' service
    `org.apache.synapse.task.service.TaskManagementService` | `getTaskManagementServiceImplementer​(String className)` |
    `boolean` | `isContains​(String name, String className)` | Explicit check for a TaskDescription with a particular name Delegates responsibility to each 'TaskManagementService' service until any one find a TaskDescription with the given name

    - ### Methods inherited from class org.wso2.carbon.task.ServiceHanlder

      `addService, assertEmpty, getServices, removeService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskManagementServiceHandler

          public TaskManagementServiceHandler()

  - ### Method Detail

    - #### addTaskDescription

          public void addTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription,
                                         String className)

      Adding a TaskDescription Delegates adding responsibility to underlying each 'TaskManagementService' service
      Parameters:
        `taskDescription` - TaskDescription instance
        `className` - Name of the class of TaskManagementService implementer

    - #### deleteTaskDescription

          public void deleteTaskDescription​(String name,
                                            String className)

      Deleting a TaskDescription Delegates deleting responsibility to each 'TaskManagementService' service
      Parameters:
        `name` - Name of the TaskDescription instance to be deleted
        `className` - Name of the class of TaskManagementService implementer

    - #### editTaskDescription

          public void editTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription,
                                          String className)

      Editing a TaskDescription Delegates Editing responsibility to each 'TaskManagementService' service
      Parameters:
        `taskDescription` - TaskDescription instance
        `className` - Name of the class of TaskManagementService implementer

    - #### getTaskDescription

          public org.apache.synapse.task.TaskDescription getTaskDescription​(String name,
                                                                            String className)

      Looking up a TaskDescription Delegates Looking up responsibility to each 'TaskManagementService' service
      Parameters:
        `name` - Name of the TaskDescription to be returned
        `className` - Name of the class of TaskManagementService implementer
      Returns:
        taskDescription TaskDescription instance

    - #### isContains

          public boolean isContains​(String name,
                                    String className)

      Explicit check for a TaskDescription with a particular name Delegates responsibility to each 'TaskManagementService' service until any one find a TaskDescription with the given name
      Parameters:
        `name` - Name of the TaskDescription
        `className` - Name of the class of TaskManagementService implementer
      Returns:
        Ture if there is a task with given name

    - #### getPropertyNames

          public List<String> getPropertyNames​(String taskClass,
                                               String className)

    - #### getTaskManagementServiceImplementer

          public org.apache.synapse.task.service.TaskManagementService getTaskManagementServiceImplementer​(String className)